
D4Science Infrastructure - Upgrade #1074

Upgrade # 1069 (Closed): D4Science Infrastructure Upgrade to gCube 3.9.0

D4Science Gateways upgrade to gCube 3.9.0

Oct 19, 2015 12:54 PM - Massimiliano Assante

Status: Closed Start date: Oct 19, 2015

Priority: Normal Due date:  

Assignee: Massimiliano Assante % Done: 100%

Target version: D4Science Infrastructure Upgrade to

gCube 3.9.0

  

Infrastructure: Production   

Description

This ticket keeps track of the D4Science infrastructure upgrades to gCube 3.9.0 for the D4Science Gateways

Related issues:

Related to D4Science Infrastructure - Task #746: Update portal service endpoi... Closed Sep 24, 2015 Oct 14, 2015

Related to D4Science Infrastructure - Task #1100: Prepare PreProd Jackrabbit ... Closed Oct 19, 2015 Oct 23, 2015

Related to D4Science Infrastructure - Task #998: TimeSeries Portlet undeploym... Closed Oct 13, 2015 Oct 30, 2015

Related to D4Science Infrastructure - Task #1116: Remove accounting-portal-we... Closed Oct 19, 2015 Oct 30, 2015

Related to D4Science Infrastructure - Task #1208: Upgrade VRE Modeler functio... Closed Oct 21, 2015 Oct 30, 2015

Related to D4Science Infrastructure - Task #996: Dismiss VesselActivitiesAnal... Closed Oct 13, 2015 Nov 09, 2015

Related to D4Science Infrastructure - Task #1098: Newportal upgrade to gCube ... Closed Oct 19, 2015 Oct 30, 2015

History

#1 - Oct 19, 2015 01:01 PM - Massimiliano Assante

Portals

The portals should be upgraded using the new mavenized portal bundle 3-6-0: 

http://eticsbuild2.research-infrastructures.eu/BuildReport/bdownload/AllBuilds/org.gcube.3-9-0/BUILD_45/dist/org.gcube/org.gcube.portal.portal-bundl

e/3.6.0/sl5_x86_64_gcc412/org.gcube.portal.portal-bundle-3.6.0-0.tar.gz

Portals to upgrade:

100% i-marine.d4science.org

 100% services.d4science.org

DONEegip.d4science.org

DONE descramble.d4science.org

New Portlets

DONE org.gcube.portlets-user.token-generator.1-0-0

DONE org.gcube.portlets-admin.invites-sent.1-0-0

DONE org.gcube.portlets.admin.accounting-manager.1-0-0

Portlets to upgrade

DONE  org.gcube.portlets-admin.resource-management-portlet.5-6-0

DONE  org.gcube.portlets-admin.vre-deployer.3-4-0

DONE  org.gcube.portlets-admin.vre-manager.5-3-0

DONE  org.gcube.portlets-admin.vre-definition.4-4-0

DONE  org.gcube.portlets-admin.register-vre-users.1-4-0

DONE  org.gcube.application.aquamaps.aquamapsspeciesview.1-3-2

DONE  org.gcube.application.aquamaps.datamanagementfacilityportlet.1-7-2

DONE   org.gcube.application.aquamaps.aquamapsportlet.3-1-5

DONE  org.gcube.portlets-user.statistical-manager-portlet.1-5-0

DONE  org.gcube.portlets-user.geoexplorer-portlet.2-7-0

DONE  org.gcube.portlets-user.workspace-portlet.6-10-0

DONE org.gcube.portlets-user.top-topics.1-1-0

DONE org.gcube.portlets-user.last-updated-files.1-3-0

DONE org.gcube.portlets-user.gcube-loggedin-portlet.2-7-0

DONE org.gcube.portlets-user.questions.1-2-0

DONE org.gcube.portlets-user.join-vre.2-0-0
DONE org.gcube.portlets-user.report-generator-portlet.5-0-0

DONE org.gcube.portlets-user.tabular-data-portlet.2-9-0

DONE org.gcube.portlets-user.template-creator.5-0-0

DONE org.gcube.portlets-user.shareupdates.1-8-1

DONE org.gcube.portlets-user.messages.0-8-0

DONE org.gcube.portlets-user.gcube-login-portlet.2-2-0

DONE org.gcube.portlets-user.newsfeed.1-11-0

DONE org.gcube.portlets-user.invite-friends.1-3-0

DONE org.gcube.portlets-user.contact-information.1-1-0

DONE org.gcube.portlets-user.join-new-environment.2-4-0

DONE org.gcube.portlets-user.myvres.1-5-0

DONE  org.gcube.portlets-admin.gcube-releases.1-2-1

Portlets to upgrade because of dependencies update

None

Portlets/Webapps to remove because of dismission

STAND BY Cotrix, see Task #1112: Cotrix Portlet undeployment [To Be Confirmed #1213]

DONE TimeSeries Legacy, see Task #998: TimeSeries Portlet undeployment

Accounting Portlet and Webapp Task #1116: Remove accounting-portal-webapp from D4Science Gateways

Standalone Web Applications

Servlets

org.gcube.application.aquamaps.images.1-3-2

DONE org.gcube.portal.social-mail-servlet.1-2-0

Configurations

New Custom Fields for Liferay Organisation: 

Virtualgroup as group of text values (selectable)

Isexternal as boolean default false

Url as string default empty

DONE The portal service endpoints should be updated by adding LDAP Information, See https://support.d4science.org/issues/746 : 

Layouts

DONE The RootVO Layout should be configured to support a Tab for the Release Manager (hosting the gcube releases portlet)

#2 - Oct 19, 2015 02:22 PM - Massimiliano Assante

- Related to Task #746: Update portal service endpoints by adding LDAP Information added

#3 - Oct 19, 2015 02:35 PM - Massimiliano Assante

- Due date changed from Oct 23, 2015 to Oct 30, 2015

due to changes in a related task

#4 - Oct 19, 2015 02:37 PM - Massimiliano Assante

- Related to Task #1100: Prepare PreProd Jackrabbit instance to gCube 3.9.0 added

#5 - Oct 19, 2015 03:43 PM - Massimiliano Assante

- Related to Task #998: TimeSeries Portlet undeployment  added

#6 - Oct 19, 2015 03:47 PM - Massimiliano Assante

- Related to Task #1112: Cotrix Portlet undeployment added

#7 - Oct 19, 2015 05:37 PM - Massimiliano Assante

- Related to Task #1116: Remove accounting-portal-webapp from D4Science Gateways added

#9 - Oct 21, 2015 02:58 PM - Massimiliano Assante

Dec 15, 2025 2/3

https://redmine.dev.d4science.org/issues/1112
https://redmine.dev.d4science.org/issues/1213
https://redmine.dev.d4science.org/issues/998
https://redmine.dev.d4science.org/issues/1116
https://support.d4science.org/issues/746


- Related to Task #1208: Upgrade VRE Modeler functionality resource (GenericResource( to support basic functionality  added

#10 - Oct 22, 2015 03:01 PM - Massimiliano Assante

- Related to Support #1213: Cotrix Portlet maintenance added

#11 - Oct 26, 2015 11:11 AM - Massimiliano Assante

- Status changed from New to Planned

#12 - Nov 04, 2015 09:28 AM - Massimiliano Assante

- Related to deleted (Task #1112: Cotrix Portlet undeployment)

#13 - Nov 04, 2015 09:28 AM - Massimiliano Assante

- Related to deleted (Support #1213: Cotrix Portlet maintenance)

#14 - Nov 04, 2015 02:30 PM - Massimiliano Assante

- Related to Task #996: Dismiss VesselActivitiesAnalyzer VRE and related services added

#15 - Dec 15, 2015 08:56 AM - Massimiliano Assante

- Status changed from Planned to In Progress

#16 - Dec 15, 2015 07:21 PM - Massimiliano Assante

- Start date set to Oct 19, 2015

due to changes in a related task

#17 - Dec 15, 2015 07:22 PM - Massimiliano Assante

- Related to Task #1098: Newportal upgrade to gCube 3.9.0 added

#18 - Dec 15, 2015 07:22 PM - Massimiliano Assante

- % Done changed from 100 to 90

#19 - Dec 15, 2015 07:23 PM - Massimiliano Assante

Accounting Manager is now available on iMarine and Services Gateways

#20 - Dec 16, 2015 06:39 PM - Massimiliano Assante

- Status changed from In Progress to Completed

- % Done changed from 90 to 100

#21 - Jan 05, 2016 11:52 AM - Massimiliano Assante

- Status changed from Completed to Closed
